org.eclipse.viatra.cep.vepl.vepl.impl

## Class VeplPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.viatra.cep.vepl.vepl.impl.VeplPackageImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, VeplPackage

      public class VeplPackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements VeplPackage

  An implementation of the model Package.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.cep.vepl.vepl.VeplPackage

      `VeplPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.viatra.cep.vepl.vepl.VeplPackage

      `ABSTRACT_ATOMIC_EVENT_PATTERN, ABSTRACT_ATOMIC_EVENT_PATTERN__NAME, ABSTRACT_ATOMIC_EVENT_PATTERN__PARAMETERS, ABSTRACT_ATOMIC_EVENT_PATTERN_FEATURE_COUNT, ABSTRACT_MULTIPLICITY, ABSTRACT_MULTIPLICITY_FEATURE_COUNT, AND_OPERATOR, AND_OPERATOR_FEATURE_COUNT, AT_LEAST_ONE, AT_LEAST_ONE_FEATURE_COUNT, ATOM, ATOM__LEFT, ATOM__MULTIPLICITY, ATOM__NEG_OPERATOR, ATOM__PATTERN_CALL, ATOM__RIGHT, ATOM__TIMEWINDOW, ATOM_FEATURE_COUNT, ATOMIC_EVENT_PATTERN, ATOMIC_EVENT_PATTERN__CHECK_EXPRESSION, ATOMIC_EVENT_PATTERN__NAME, ATOMIC_EVENT_PATTERN__PARAMETERS, ATOMIC_EVENT_PATTERN__TRAITS, ATOMIC_EVENT_PATTERN_FEATURE_COUNT, BINARY_OPERATOR, BINARY_OPERATOR_FEATURE_COUNT, CHAINED_EXPRESSION, CHAINED_EXPRESSION__EXPRESSION, CHAINED_EXPRESSION__OPERATOR, CHAINED_EXPRESSION_FEATURE_COUNT, COMPLEX_EVENT_EXPRESSION, COMPLEX_EVENT_EXPRESSION__LEFT, COMPLEX_EVENT_EXPRESSION__MULTIPLICITY, COMPLEX_EVENT_EXPRESSION__NEG_OPERATOR, COMPLEX_EVENT_EXPRESSION__RIGHT, COMPLEX_EVENT_EXPRESSION__TIMEWINDOW, COMPLEX_EVENT_EXPRESSION_FEATURE_COUNT, COMPLEX_EVENT_OPERATOR, COMPLEX_EVENT_OPERATOR_FEATURE_COUNT, COMPLEX_EVENT_PATTERN, COMPLEX_EVENT_PATTERN__COMPLEX_EVENT_EXPRESSION, COMPLEX_EVENT_PATTERN__CONTEXT, COMPLEX_EVENT_PATTERN__NAME, COMPLEX_EVENT_PATTERN__PARAMETERS, COMPLEX_EVENT_PATTERN_FEATURE_COUNT, CONTEXT_ENUM, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EVENT_MODEL, EVENT_MODEL__CONTEXT, EVENT_MODEL__IMPORTS, EVENT_MODEL__MODEL_ELEMENTS, EVENT_MODEL__NAME, EVENT_MODEL_FEATURE_COUNT, EVENT_PATTERN, EVENT_PATTERN__NAME, EVENT_PATTERN__PARAMETERS, EVENT_PATTERN_FEATURE_COUNT, FOLLOWS_OPERATOR, FOLLOWS_OPERATOR_FEATURE_COUNT, GENERIC_IMPORT, GENERIC_IMPORT__IMPORTED_NAMESPACE, GENERIC_IMPORT_FEATURE_COUNT, IMPORT, IMPORT__IMPORTED_NAMESPACE, IMPORT_FEATURE_COUNT, INFINITE, INFINITE_FEATURE_COUNT, MODEL_ELEMENT, MODEL_ELEMENT__NAME, MODEL_ELEMENT_FEATURE_COUNT, MULTIPLICITY, MULTIPLICITY__VALUE, MULTIPLICITY_FEATURE_COUNT, NEG_OPERATOR, NEG_OPERATOR_FEATURE_COUNT, OR_OPERATOR, OR_OPERATOR_FEATURE_COUNT, PARAMETERIZED_PATTERN_CALL, PARAMETERIZED_PATTERN_CALL__EVENT_PATTERN, PARAMETERIZED_PATTERN_CALL__PARAMETER_LIST, PARAMETERIZED_PATTERN_CALL_FEATURE_COUNT, PARAMETRIZED_QUERY_REFERENCE, PARAMETRIZED_QUERY_REFERENCE__PARAMETER_LIST, PARAMETRIZED_QUERY_REFERENCE__QUERY, PARAMETRIZED_QUERY_REFERENCE_FEATURE_COUNT, PATTERN_CALL_PARAMETER, PATTERN_CALL_PARAMETER__NAME, PATTERN_CALL_PARAMETER_FEATURE_COUNT, PATTERN_CALL_PARAMETER_LIST, PATTERN_CALL_PARAMETER_LIST__PARAMETERS, PATTERN_CALL_PARAMETER_LIST_FEATURE_COUNT, QUERY_IMPORT, QUERY_IMPORT__IMPORTED_NAMESPACE, QUERY_IMPORT_FEATURE_COUNT, QUERY_RESULT_CHANGE_EVENT_PATTERN, QUERY_RESULT_CHANGE_EVENT_PATTERN__NAME, QUERY_RESULT_CHANGE_EVENT_PATTERN__PARAMETERS, QUERY_RESULT_CHANGE_EVENT_PATTERN__QUERY_REFERENCE, QUERY_RESULT_CHANGE_EVENT_PATTERN__RESULT_CHANGE_TYPE, QUERY_RESULT_CHANGE_EVENT_PATTERN_FEATURE_COUNT, QUERY_RESULT_CHANGE_TYPE, RULE, RULE__ACTION, RULE__EVENT_PATTERNS, RULE__NAME, RULE_FEATURE_COUNT, TIMEWINDOW, TIMEWINDOW__LENGTH, TIMEWINDOW_FEATURE_COUNT, TRAIT, TRAIT__NAME, TRAIT__PARAMETERS, TRAIT_FEATURE_COUNT, TRAIT_LIST, TRAIT_LIST__TRAITS, TRAIT_LIST_FEATURE_COUNT, TRAIT_TYPED_PARAMETER_LIST, TRAIT_TYPED_PARAMETER_LIST__PARAMETERS, TRAIT_TYPED_PARAMETER_LIST_FEATURE_COUNT, TYPED_PARAMETER, TYPED_PARAMETER__NAME, TYPED_PARAMETER__TYPE, TYPED_PARAMETER_FEATURE_COUNT, TYPED_PARAMETER_LIST, TYPED_PARAMETER_LIST__PARAMETERS, TYPED_PARAMETER_LIST_FEATURE_COUNT, TYPED_PARAMETER_WITH_DEFAULT_VALUE, TYPED_PARAMETER_WITH_DEFAULT_VALUE__TYPED_PARAMETER, TYPED_PARAMETER_WITH_DEFAULT_VALUE__VALUE, TYPED_PARAMETER_WITH_DEFAULT_VALUE_FEATURE_COUNT, UNARY_OPERATOR, UNARY_OPERATOR_FEATURE_COUNT, UNTIL_OPERATOR, UNTIL_OPERATOR_FEATURE_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EClass` | `getAbstractAtomicEventPattern()`
    `org.eclipse.emf.ecore.EClass` | `getAbstractMultiplicity()`
    `org.eclipse.emf.ecore.EClass` | `getAndOperator()`
    `org.eclipse.emf.ecore.EClass` | `getAtLeastOne()`
    `org.eclipse.emf.ecore.EReference` | `getAtom_PatternCall()`
    `org.eclipse.emf.ecore.EClass` | `getAtom()`
    `org.eclipse.emf.ecore.EReference` | `getAtomicEventPattern_CheckExpression()`
    `org.eclipse.emf.ecore.EReference` | `getAtomicEventPattern_Traits()`
    `org.eclipse.emf.ecore.EClass` | `getAtomicEventPattern()`
    `org.eclipse.emf.ecore.EClass` | `getBinaryOperator()`
    `org.eclipse.emf.ecore.EReference` | `getChainedExpression_Expression()`
    `org.eclipse.emf.ecore.EReference` | `getChainedExpression_Operator()`
    `org.eclipse.emf.ecore.EClass` | `getChainedExpression()`
    `org.eclipse.emf.ecore.EReference` | `getComplexEventExpression_Left()`
    `org.eclipse.emf.ecore.EReference` | `getComplexEventExpression_Multiplicity()`
    `org.eclipse.emf.ecore.EReference` | `getComplexEventExpression_NegOperator()`
    `org.eclipse.emf.ecore.EReference` | `getComplexEventExpression_Right()`
    `org.eclipse.emf.ecore.EReference` | `getComplexEventExpression_Timewindow()`
    `org.eclipse.emf.ecore.EClass` | `getComplexEventExpression()`
    `org.eclipse.emf.ecore.EClass` | `getComplexEventOperator()`
    `org.eclipse.emf.ecore.EReference` | `getComplexEventPattern_ComplexEventExpression()`
    `org.eclipse.emf.ecore.EAttribute` | `getComplexEventPattern_Context()`
    `org.eclipse.emf.ecore.EClass` | `getComplexEventPattern()`
    `org.eclipse.emf.ecore.EEnum` | `getContextEnum()`
    `org.eclipse.emf.ecore.EAttribute` | `getEventModel_Context()`
    `org.eclipse.emf.ecore.EReference` | `getEventModel_Imports()`
    `org.eclipse.emf.ecore.EReference` | `getEventModel_ModelElements()`
    `org.eclipse.emf.ecore.EAttribute` | `getEventModel_Name()`
    `org.eclipse.emf.ecore.EClass` | `getEventModel()`
    `org.eclipse.emf.ecore.EReference` | `getEventPattern_Parameters()`
    `org.eclipse.emf.ecore.EClass` | `getEventPattern()`
    `org.eclipse.emf.ecore.EClass` | `getFollowsOperator()`
    `org.eclipse.emf.ecore.EClass` | `getGenericImport()`
    `org.eclipse.emf.ecore.EAttribute` | `getImport_ImportedNamespace()`
    `org.eclipse.emf.ecore.EClass` | `getImport()`
    `org.eclipse.emf.ecore.EClass` | `getInfinite()`
    `org.eclipse.emf.ecore.EAttribute` | `getModelElement_Name()`
    `org.eclipse.emf.ecore.EClass` | `getModelElement()`
    `org.eclipse.emf.ecore.EAttribute` | `getMultiplicity_Value()`
    `org.eclipse.emf.ecore.EClass` | `getMultiplicity()`
    `org.eclipse.emf.ecore.EClass` | `getNegOperator()`
    `org.eclipse.emf.ecore.EClass` | `getOrOperator()`
    `org.eclipse.emf.ecore.EReference` | `getParameterizedPatternCall_EventPattern()`
    `org.eclipse.emf.ecore.EReference` | `getParameterizedPatternCall_ParameterList()`
    `org.eclipse.emf.ecore.EClass` | `getParameterizedPatternCall()`
    `org.eclipse.emf.ecore.EReference` | `getParametrizedQueryReference_ParameterList()`
    `org.eclipse.emf.ecore.EReference` | `getParametrizedQueryReference_Query()`
    `org.eclipse.emf.ecore.EClass` | `getParametrizedQueryReference()`
    `org.eclipse.emf.ecore.EAttribute` | `getPatternCallParameter_Name()`
    `org.eclipse.emf.ecore.EClass` | `getPatternCallParameter()`
    `org.eclipse.emf.ecore.EReference` | `getPatternCallParameterList_Parameters()`
    `org.eclipse.emf.ecore.EClass` | `getPatternCallParameterList()`
    `org.eclipse.emf.ecore.EClass` | `getQueryImport()`
    `org.eclipse.emf.ecore.EReference` | `getQueryResultChangeEventPattern_QueryReference()`
    `org.eclipse.emf.ecore.EAttribute` | `getQueryResultChangeEventPattern_ResultChangeType()`
    `org.eclipse.emf.ecore.EClass` | `getQueryResultChangeEventPattern()`
    `org.eclipse.emf.ecore.EEnum` | `getQueryResultChangeType()`
    `org.eclipse.emf.ecore.EReference` | `getRule_Action()`
    `org.eclipse.emf.ecore.EReference` | `getRule_EventPatterns()`
    `org.eclipse.emf.ecore.EClass` | `getRule()`
    `org.eclipse.emf.ecore.EAttribute` | `getTimewindow_Length()`
    `org.eclipse.emf.ecore.EClass` | `getTimewindow()`
    `org.eclipse.emf.ecore.EReference` | `getTrait_Parameters()`
    `org.eclipse.emf.ecore.EClass` | `getTrait()`
    `org.eclipse.emf.ecore.EReference` | `getTraitList_Traits()`
    `org.eclipse.emf.ecore.EClass` | `getTraitList()`
    `org.eclipse.emf.ecore.EReference` | `getTraitTypedParameterList_Parameters()`
    `org.eclipse.emf.ecore.EClass` | `getTraitTypedParameterList()`
    `org.eclipse.emf.ecore.EAttribute` | `getTypedParameter_Name()`
    `org.eclipse.emf.ecore.EReference` | `getTypedParameter_Type()`
    `org.eclipse.emf.ecore.EClass` | `getTypedParameter()`
    `org.eclipse.emf.ecore.EReference` | `getTypedParameterList_Parameters()`
    `org.eclipse.emf.ecore.EClass` | `getTypedParameterList()`
    `org.eclipse.emf.ecore.EReference` | `getTypedParameterWithDefaultValue_TypedParameter()`
    `org.eclipse.emf.ecore.EReference` | `getTypedParameterWithDefaultValue_Value()`
    `org.eclipse.emf.ecore.EClass` | `getTypedParameterWithDefaultValue()`
    `org.eclipse.emf.ecore.EClass` | `getUnaryOperator()`
    `org.eclipse.emf.ecore.EClass` | `getUntilOperator()`
    `VeplFactory` | `getVeplFactory()`
    `static VeplPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static VeplPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `VeplPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `VeplPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated:

    - #### getEventModel

          public org.eclipse.emf.ecore.EClass getEventModel()

      Specified by:
        `getEventModel` in interface `VeplPackage`
      Returns:
        the meta object for class 'Event Model'.
      See Also:
        `EventModel`
      Generated:

    - #### getEventModel_Name

          public org.eclipse.emf.ecore.EAttribute getEventModel_Name()

      Specified by:
        `getEventModel_Name` in interface `VeplPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `EventModel.getName()`, `VeplPackage.getEventModel()`
      Generated:

    - #### getEventModel_Imports

          public org.eclipse.emf.ecore.EReference getEventModel_Imports()

      Specified by:
        `getEventModel_Imports` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference list 'Imports'.
      See Also:
        `EventModel.getImports()`, `VeplPackage.getEventModel()`
      Generated:

    - #### getEventModel_Context

          public org.eclipse.emf.ecore.EAttribute getEventModel_Context()

      Specified by:
        `getEventModel_Context` in interface `VeplPackage`
      Returns:
        the meta object for the attribute 'Context'.
      See Also:
        `EventModel.getContext()`, `VeplPackage.getEventModel()`
      Generated:

    - #### getEventModel_ModelElements

          public org.eclipse.emf.ecore.EReference getEventModel_ModelElements()

      Specified by:
        `getEventModel_ModelElements` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference list 'Model Elements'.
      See Also:
        `EventModel.getModelElements()`, `VeplPackage.getEventModel()`
      Generated:

    - #### getImport

          public org.eclipse.emf.ecore.EClass getImport()

      Specified by:
        `getImport` in interface `VeplPackage`
      Returns:
        the meta object for class 'Import'.
      See Also:
        `Import`
      Generated:

    - #### getImport_ImportedNamespace

          public org.eclipse.emf.ecore.EAttribute getImport_ImportedNamespace()

      Specified by:
        `getImport_ImportedNamespace` in interface `VeplPackage`
      Returns:
        the meta object for the attribute 'Imported Namespace'.
      See Also:
        `Import.getImportedNamespace()`, `VeplPackage.getImport()`
      Generated:

    - #### getGenericImport

          public org.eclipse.emf.ecore.EClass getGenericImport()

      Specified by:
        `getGenericImport` in interface `VeplPackage`
      Returns:
        the meta object for class 'Generic Import'.
      See Also:
        `GenericImport`
      Generated:

    - #### getQueryImport

          public org.eclipse.emf.ecore.EClass getQueryImport()

      Specified by:
        `getQueryImport` in interface `VeplPackage`
      Returns:
        the meta object for class 'Query Import'.
      See Also:
        `QueryImport`
      Generated:

    - #### getModelElement

          public org.eclipse.emf.ecore.EClass getModelElement()

      Specified by:
        `getModelElement` in interface `VeplPackage`
      Returns:
        the meta object for class 'Model Element'.
      See Also:
        `ModelElement`
      Generated:

    - #### getModelElement_Name

          public org.eclipse.emf.ecore.EAttribute getModelElement_Name()

      Specified by:
        `getModelElement_Name` in interface `VeplPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `ModelElement.getName()`, `VeplPackage.getModelElement()`
      Generated:

    - #### getTrait

          public org.eclipse.emf.ecore.EClass getTrait()

      Specified by:
        `getTrait` in interface `VeplPackage`
      Returns:
        the meta object for class 'Trait'.
      See Also:
        `Trait`
      Generated:

    - #### getTrait_Parameters

          public org.eclipse.emf.ecore.EReference getTrait_Parameters()

      Specified by:
        `getTrait_Parameters` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Parameters'.
      See Also:
        `Trait.getParameters()`, `VeplPackage.getTrait()`
      Generated:

    - #### getEventPattern

          public org.eclipse.emf.ecore.EClass getEventPattern()

      Specified by:
        `getEventPattern` in interface `VeplPackage`
      Returns:
        the meta object for class 'Event Pattern'.
      See Also:
        `EventPattern`
      Generated:

    - #### getEventPattern_Parameters

          public org.eclipse.emf.ecore.EReference getEventPattern_Parameters()

      Specified by:
        `getEventPattern_Parameters` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Parameters'.
      See Also:
        `EventPattern.getParameters()`, `VeplPackage.getEventPattern()`
      Generated:

    - #### getAbstractAtomicEventPattern

          public org.eclipse.emf.ecore.EClass getAbstractAtomicEventPattern()

      Specified by:
        `getAbstractAtomicEventPattern` in interface `VeplPackage`
      Returns:
        the meta object for class 'Abstract Atomic Event Pattern'.
      See Also:
        `AbstractAtomicEventPattern`
      Generated:

    - #### getAtomicEventPattern

          public org.eclipse.emf.ecore.EClass getAtomicEventPattern()

      Specified by:
        `getAtomicEventPattern` in interface `VeplPackage`
      Returns:
        the meta object for class 'Atomic Event Pattern'.
      See Also:
        `AtomicEventPattern`
      Generated:

    - #### getAtomicEventPattern_Traits

          public org.eclipse.emf.ecore.EReference getAtomicEventPattern_Traits()

      Specified by:
        `getAtomicEventPattern_Traits` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Traits'.
      See Also:
        `AtomicEventPattern.getTraits()`, `VeplPackage.getAtomicEventPattern()`
      Generated:

    - #### getAtomicEventPattern_CheckExpression

          public org.eclipse.emf.ecore.EReference getAtomicEventPattern_CheckExpression()

      Specified by:
        `getAtomicEventPattern_CheckExpression` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Check Expression'.
      See Also:
        `AtomicEventPattern.getCheckExpression()`, `VeplPackage.getAtomicEventPattern()`
      Generated:

    - #### getQueryResultChangeEventPattern

          public org.eclipse.emf.ecore.EClass getQueryResultChangeEventPattern()

      Specified by:
        `getQueryResultChangeEventPattern` in interface `VeplPackage`
      Returns:
        the meta object for class 'Query Result Change Event Pattern'.
      See Also:
        `QueryResultChangeEventPattern`
      Generated:

    - #### getQueryResultChangeEventPattern_QueryReference

          public org.eclipse.emf.ecore.EReference getQueryResultChangeEventPattern_QueryReference()

      Specified by:
        `getQueryResultChangeEventPattern_QueryReference` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Query Reference'.
      See Also:
        `QueryResultChangeEventPattern.getQueryReference()`, `VeplPackage.getQueryResultChangeEventPattern()`
      Generated:

    - #### getQueryResultChangeEventPattern_ResultChangeType

          public org.eclipse.emf.ecore.EAttribute getQueryResultChangeEventPattern_ResultChangeType()

      Specified by:
        `getQueryResultChangeEventPattern_ResultChangeType` in interface `VeplPackage`
      Returns:
        the meta object for the attribute 'Result Change Type'.
      See Also:
        `QueryResultChangeEventPattern.getResultChangeType()`, `VeplPackage.getQueryResultChangeEventPattern()`
      Generated:

    - #### getComplexEventPattern

          public org.eclipse.emf.ecore.EClass getComplexEventPattern()

      Specified by:
        `getComplexEventPattern` in interface `VeplPackage`
      Returns:
        the meta object for class 'Complex Event Pattern'.
      See Also:
        `ComplexEventPattern`
      Generated:

    - #### getComplexEventPattern_ComplexEventExpression

          public org.eclipse.emf.ecore.EReference getComplexEventPattern_ComplexEventExpression()

      Specified by:
        `getComplexEventPattern_ComplexEventExpression` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Complex Event Expression'.
      See Also:
        `ComplexEventPattern.getComplexEventExpression()`, `VeplPackage.getComplexEventPattern()`
      Generated:

    - #### getComplexEventPattern_Context

          public org.eclipse.emf.ecore.EAttribute getComplexEventPattern_Context()

      Specified by:
        `getComplexEventPattern_Context` in interface `VeplPackage`
      Returns:
        the meta object for the attribute 'Context'.
      See Also:
        `ComplexEventPattern.getContext()`, `VeplPackage.getComplexEventPattern()`
      Generated:

    - #### getRule

          public org.eclipse.emf.ecore.EClass getRule()

      Specified by:
        `getRule` in interface `VeplPackage`
      Returns:
        the meta object for class 'Rule'.
      See Also:
        `Rule`
      Generated:

    - #### getRule_EventPatterns

          public org.eclipse.emf.ecore.EReference getRule_EventPatterns()

      Specified by:
        `getRule_EventPatterns` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference list 'Event Patterns'.
      See Also:
        `Rule.getEventPatterns()`, `VeplPackage.getRule()`
      Generated:

    - #### getRule_Action

          public org.eclipse.emf.ecore.EReference getRule_Action()

      Specified by:
        `getRule_Action` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Action'.
      See Also:
        `Rule.getAction()`, `VeplPackage.getRule()`
      Generated:

    - #### getTraitList

          public org.eclipse.emf.ecore.EClass getTraitList()

      Specified by:
        `getTraitList` in interface `VeplPackage`
      Returns:
        the meta object for class 'Trait List'.
      See Also:
        `TraitList`
      Generated:

    - #### getTraitList_Traits

          public org.eclipse.emf.ecore.EReference getTraitList_Traits()

      Specified by:
        `getTraitList_Traits` in interface `VeplPackage`
      Returns:
        the meta object for the reference list 'Traits'.
      See Also:
        `TraitList.getTraits()`, `VeplPackage.getTraitList()`
      Generated:

    - #### getTypedParameterList

          public org.eclipse.emf.ecore.EClass getTypedParameterList()

      Specified by:
        `getTypedParameterList` in interface `VeplPackage`
      Returns:
        the meta object for class 'Typed Parameter List'.
      See Also:
        `TypedParameterList`
      Generated:

    - #### getTypedParameterList_Parameters

          public org.eclipse.emf.ecore.EReference getTypedParameterList_Parameters()

      Specified by:
        `getTypedParameterList_Parameters` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `TypedParameterList.getParameters()`, `VeplPackage.getTypedParameterList()`
      Generated:

    - #### getTypedParameter

          public org.eclipse.emf.ecore.EClass getTypedParameter()

      Specified by:
        `getTypedParameter` in interface `VeplPackage`
      Returns:
        the meta object for class 'Typed Parameter'.
      See Also:
        `TypedParameter`
      Generated:

    - #### getTypedParameter_Name

          public org.eclipse.emf.ecore.EAttribute getTypedParameter_Name()

      Specified by:
        `getTypedParameter_Name` in interface `VeplPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `TypedParameter.getName()`, `VeplPackage.getTypedParameter()`
      Generated:

    - #### getTypedParameter_Type

          public org.eclipse.emf.ecore.EReference getTypedParameter_Type()

      Specified by:
        `getTypedParameter_Type` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `TypedParameter.getType()`, `VeplPackage.getTypedParameter()`
      Generated:

    - #### getTypedParameterWithDefaultValue

          public org.eclipse.emf.ecore.EClass getTypedParameterWithDefaultValue()

      Specified by:
        `getTypedParameterWithDefaultValue` in interface `VeplPackage`
      Returns:
        the meta object for class 'Typed Parameter With Default Value'.
      See Also:
        `TypedParameterWithDefaultValue`
      Generated:

    - #### getTypedParameterWithDefaultValue_TypedParameter

          public org.eclipse.emf.ecore.EReference getTypedParameterWithDefaultValue_TypedParameter()

      Specified by:
        `getTypedParameterWithDefaultValue_TypedParameter` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Typed Parameter'.
      See Also:
        `TypedParameterWithDefaultValue.getTypedParameter()`, `VeplPackage.getTypedParameterWithDefaultValue()`
      Generated:

    - #### getTypedParameterWithDefaultValue_Value

          public org.eclipse.emf.ecore.EReference getTypedParameterWithDefaultValue_Value()

      Specified by:
        `getTypedParameterWithDefaultValue_Value` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `TypedParameterWithDefaultValue.getValue()`, `VeplPackage.getTypedParameterWithDefaultValue()`
      Generated:

    - #### getTraitTypedParameterList

          public org.eclipse.emf.ecore.EClass getTraitTypedParameterList()

      Specified by:
        `getTraitTypedParameterList` in interface `VeplPackage`
      Returns:
        the meta object for class 'Trait Typed Parameter List'.
      See Also:
        `TraitTypedParameterList`
      Generated:

    - #### getTraitTypedParameterList_Parameters

          public org.eclipse.emf.ecore.EReference getTraitTypedParameterList_Parameters()

      Specified by:
        `getTraitTypedParameterList_Parameters` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `TraitTypedParameterList.getParameters()`, `VeplPackage.getTraitTypedParameterList()`
      Generated:

    - #### getParametrizedQueryReference

          public org.eclipse.emf.ecore.EClass getParametrizedQueryReference()

      Specified by:
        `getParametrizedQueryReference` in interface `VeplPackage`
      Returns:
        the meta object for class 'Parametrized Query Reference'.
      See Also:
        `ParametrizedQueryReference`
      Generated:

    - #### getParametrizedQueryReference_Query

          public org.eclipse.emf.ecore.EReference getParametrizedQueryReference_Query()

      Specified by:
        `getParametrizedQueryReference_Query` in interface `VeplPackage`
      Returns:
        the meta object for the reference 'Query'.
      See Also:
        `ParametrizedQueryReference.getQuery()`, `VeplPackage.getParametrizedQueryReference()`
      Generated:

    - #### getParametrizedQueryReference_ParameterList

          public org.eclipse.emf.ecore.EReference getParametrizedQueryReference_ParameterList()

      Specified by:
        `getParametrizedQueryReference_ParameterList` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Parameter List'.
      See Also:
        `ParametrizedQueryReference.getParameterList()`, `VeplPackage.getParametrizedQueryReference()`
      Generated:

    - #### getComplexEventExpression

          public org.eclipse.emf.ecore.EClass getComplexEventExpression()

      Specified by:
        `getComplexEventExpression` in interface `VeplPackage`
      Returns:
        the meta object for class 'Complex Event Expression'.
      See Also:
        `ComplexEventExpression`
      Generated:

    - #### getComplexEventExpression_Left

          public org.eclipse.emf.ecore.EReference getComplexEventExpression_Left()

      Specified by:
        `getComplexEventExpression_Left` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Left'.
      See Also:
        `ComplexEventExpression.getLeft()`, `VeplPackage.getComplexEventExpression()`
      Generated:

    - #### getComplexEventExpression_Right

          public org.eclipse.emf.ecore.EReference getComplexEventExpression_Right()

      Specified by:
        `getComplexEventExpression_Right` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference list 'Right'.
      See Also:
        `ComplexEventExpression.getRight()`, `VeplPackage.getComplexEventExpression()`
      Generated:

    - #### getComplexEventExpression_Multiplicity

          public org.eclipse.emf.ecore.EReference getComplexEventExpression_Multiplicity()

      Specified by:
        `getComplexEventExpression_Multiplicity` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Multiplicity'.
      See Also:
        `ComplexEventExpression.getMultiplicity()`, `VeplPackage.getComplexEventExpression()`
      Generated:

    - #### getComplexEventExpression_Timewindow

          public org.eclipse.emf.ecore.EReference getComplexEventExpression_Timewindow()

      Specified by:
        `getComplexEventExpression_Timewindow` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Timewindow'.
      See Also:
        `ComplexEventExpression.getTimewindow()`, `VeplPackage.getComplexEventExpression()`
      Generated:

    - #### getComplexEventExpression_NegOperator

          public org.eclipse.emf.ecore.EReference getComplexEventExpression_NegOperator()

      Specified by:
        `getComplexEventExpression_NegOperator` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Neg Operator'.
      See Also:
        `ComplexEventExpression.getNegOperator()`, `VeplPackage.getComplexEventExpression()`
      Generated:

    - #### getChainedExpression

          public org.eclipse.emf.ecore.EClass getChainedExpression()

      Specified by:
        `getChainedExpression` in interface `VeplPackage`
      Returns:
        the meta object for class 'Chained Expression'.
      See Also:
        `ChainedExpression`
      Generated:

    - #### getChainedExpression_Operator

          public org.eclipse.emf.ecore.EReference getChainedExpression_Operator()

      Specified by:
        `getChainedExpression_Operator` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Operator'.
      See Also:
        `ChainedExpression.getOperator()`, `VeplPackage.getChainedExpression()`
      Generated:

    - #### getChainedExpression_Expression

          public org.eclipse.emf.ecore.EReference getChainedExpression_Expression()

      Specified by:
        `getChainedExpression_Expression` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `ChainedExpression.getExpression()`, `VeplPackage.getChainedExpression()`
      Generated:

    - #### getAtom

          public org.eclipse.emf.ecore.EClass getAtom()

      Specified by:
        `getAtom` in interface `VeplPackage`
      Returns:
        the meta object for class 'Atom'.
      See Also:
        `Atom`
      Generated:

    - #### getAtom_PatternCall

          public org.eclipse.emf.ecore.EReference getAtom_PatternCall()

      Specified by:
        `getAtom_PatternCall` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Pattern Call'.
      See Also:
        `Atom.getPatternCall()`, `VeplPackage.getAtom()`
      Generated:

    - #### getAbstractMultiplicity

          public org.eclipse.emf.ecore.EClass getAbstractMultiplicity()

      Specified by:
        `getAbstractMultiplicity` in interface `VeplPackage`
      Returns:
        the meta object for class 'Abstract Multiplicity'.
      See Also:
        `AbstractMultiplicity`
      Generated:

    - #### getTimewindow

          public org.eclipse.emf.ecore.EClass getTimewindow()

      Specified by:
        `getTimewindow` in interface `VeplPackage`
      Returns:
        the meta object for class 'Timewindow'.
      See Also:
        `Timewindow`
      Generated:

    - #### getTimewindow_Length

          public org.eclipse.emf.ecore.EAttribute getTimewindow_Length()

      Specified by:
        `getTimewindow_Length` in interface `VeplPackage`
      Returns:
        the meta object for the attribute 'Length'.
      See Also:
        `Timewindow.getLength()`, `VeplPackage.getTimewindow()`
      Generated:

    - #### getParameterizedPatternCall

          public org.eclipse.emf.ecore.EClass getParameterizedPatternCall()

      Specified by:
        `getParameterizedPatternCall` in interface `VeplPackage`
      Returns:
        the meta object for class 'Parameterized Pattern Call'.
      See Also:
        `ParameterizedPatternCall`
      Generated:

    - #### getParameterizedPatternCall_EventPattern

          public org.eclipse.emf.ecore.EReference getParameterizedPatternCall_EventPattern()

      Specified by:
        `getParameterizedPatternCall_EventPattern` in interface `VeplPackage`
      Returns:
        the meta object for the reference 'Event Pattern'.
      See Also:
        `ParameterizedPatternCall.getEventPattern()`, `VeplPackage.getParameterizedPatternCall()`
      Generated:

    - #### getParameterizedPatternCall_ParameterList

          public org.eclipse.emf.ecore.EReference getParameterizedPatternCall_ParameterList()

      Specified by:
        `getParameterizedPatternCall_ParameterList` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference 'Parameter List'.
      See Also:
        `ParameterizedPatternCall.getParameterList()`, `VeplPackage.getParameterizedPatternCall()`
      Generated:

    - #### getPatternCallParameterList

          public org.eclipse.emf.ecore.EClass getPatternCallParameterList()

      Specified by:
        `getPatternCallParameterList` in interface `VeplPackage`
      Returns:
        the meta object for class 'Pattern Call Parameter List'.
      See Also:
        `PatternCallParameterList`
      Generated:

    - #### getPatternCallParameterList_Parameters

          public org.eclipse.emf.ecore.EReference getPatternCallParameterList_Parameters()

      Specified by:
        `getPatternCallParameterList_Parameters` in interface `VeplPackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `PatternCallParameterList.getParameters()`, `VeplPackage.getPatternCallParameterList()`
      Generated:

    - #### getPatternCallParameter

          public org.eclipse.emf.ecore.EClass getPatternCallParameter()

      Specified by:
        `getPatternCallParameter` in interface `VeplPackage`
      Returns:
        the meta object for class 'Pattern Call Parameter'.
      See Also:
        `PatternCallParameter`
      Generated:

    - #### getPatternCallParameter_Name

          public org.eclipse.emf.ecore.EAttribute getPatternCallParameter_Name()

      Specified by:
        `getPatternCallParameter_Name` in interface `VeplPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `PatternCallParameter.getName()`, `VeplPackage.getPatternCallParameter()`
      Generated:

    - #### getComplexEventOperator

          public org.eclipse.emf.ecore.EClass getComplexEventOperator()

      Specified by:
        `getComplexEventOperator` in interface `VeplPackage`
      Returns:
        the meta object for class 'Complex Event Operator'.
      See Also:
        `ComplexEventOperator`
      Generated:

    - #### getBinaryOperator

          public org.eclipse.emf.ecore.EClass getBinaryOperator()

      Specified by:
        `getBinaryOperator` in interface `VeplPackage`
      Returns:
        the meta object for class 'Binary Operator'.
      See Also:
        `BinaryOperator`
      Generated:

    - #### getUnaryOperator

          public org.eclipse.emf.ecore.EClass getUnaryOperator()

      Specified by:
        `getUnaryOperator` in interface `VeplPackage`
      Returns:
        the meta object for class 'Unary Operator'.
      See Also:
        `UnaryOperator`
      Generated:

    - #### getFollowsOperator

          public org.eclipse.emf.ecore.EClass getFollowsOperator()

      Specified by:
        `getFollowsOperator` in interface `VeplPackage`
      Returns:
        the meta object for class 'Follows Operator'.
      See Also:
        `FollowsOperator`
      Generated:

    - #### getOrOperator

          public org.eclipse.emf.ecore.EClass getOrOperator()

      Specified by:
        `getOrOperator` in interface `VeplPackage`
      Returns:
        the meta object for class 'Or Operator'.
      See Also:
        `OrOperator`
      Generated:

    - #### getAndOperator

          public org.eclipse.emf.ecore.EClass getAndOperator()

      Specified by:
        `getAndOperator` in interface `VeplPackage`
      Returns:
        the meta object for class 'And Operator'.
      See Also:
        `AndOperator`
      Generated:

    - #### getUntilOperator

          public org.eclipse.emf.ecore.EClass getUntilOperator()

      Specified by:
        `getUntilOperator` in interface `VeplPackage`
      Returns:
        the meta object for class 'Until Operator'.
      See Also:
        `UntilOperator`
      Generated:

    - #### getNegOperator

          public org.eclipse.emf.ecore.EClass getNegOperator()

      Specified by:
        `getNegOperator` in interface `VeplPackage`
      Returns:
        the meta object for class 'Neg Operator'.
      See Also:
        `NegOperator`
      Generated:

    - #### getMultiplicity

          public org.eclipse.emf.ecore.EClass getMultiplicity()

      Specified by:
        `getMultiplicity` in interface `VeplPackage`
      Returns:
        the meta object for class 'Multiplicity'.
      See Also:
        `Multiplicity`
      Generated:

    - #### getMultiplicity_Value

          public org.eclipse.emf.ecore.EAttribute getMultiplicity_Value()

      Specified by:
        `getMultiplicity_Value` in interface `VeplPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Multiplicity.getValue()`, `VeplPackage.getMultiplicity()`
      Generated:

    - #### getInfinite

          public org.eclipse.emf.ecore.EClass getInfinite()

      Specified by:
        `getInfinite` in interface `VeplPackage`
      Returns:
        the meta object for class 'Infinite'.
      See Also:
        `Infinite`
      Generated:

    - #### getAtLeastOne

          public org.eclipse.emf.ecore.EClass getAtLeastOne()

      Specified by:
        `getAtLeastOne` in interface `VeplPackage`
      Returns:
        the meta object for class 'At Least One'.
      See Also:
        `AtLeastOne`
      Generated:

    - #### getContextEnum

          public org.eclipse.emf.ecore.EEnum getContextEnum()

      Specified by:
        `getContextEnum` in interface `VeplPackage`
      Returns:
        the meta object for enum 'Context Enum'.
      See Also:
        `ContextEnum`
      Generated:

    - #### getQueryResultChangeType

          public org.eclipse.emf.ecore.EEnum getQueryResultChangeType()

      Specified by:
        `getQueryResultChangeType` in interface `VeplPackage`
      Returns:
        the meta object for enum 'Query Result Change Type'.
      See Also:
        `QueryResultChangeType`
      Generated:

    - #### getVeplFactory

          public VeplFactory getVeplFactory()

      Specified by:
        `getVeplFactory` in interface `VeplPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated:

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated:

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated: